org.apache.cassandra.db

## Class Slices.Builder

- java.lang.Object
- - org.apache.cassandra.db.Slices.Builder

Enclosing class:
  Slices

    public static class Slices.Builder
    extends java.lang.Object

Builder to create `Slices` objects.

### Constructor Summary

Constructors
Constructor and Description
`Builder(ClusteringComparator comparator)`
`Builder(ClusteringComparator comparator, int initialSize)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Slices.Builder` `add(ClusteringBound start, ClusteringBound end)`
`Slices.Builder` `add(Slice slice)`
`Slices.Builder` `addAll(Slices slices)`
`Slices` `build()`
`int` `size()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Builder

    public Builder(ClusteringComparator comparator)

#### Builder

    public Builder(ClusteringComparator comparator,
                   int initialSize)

### Method Detail

#### add

    public Slices.Builder add(ClusteringBound start,
                              ClusteringBound end)

#### add

    public Slices.Builder add(Slice slice)

#### addAll

    public Slices.Builder addAll(Slices slices)

#### size

    public int size()

#### build

    public Slices build()